LSNS(8)

BEZEICHNUNG
lsns - Namensräume auflisten

ÜBERSICHT

lsns [options] [namespace]

BESCHREIBUNG

lsns listet Informationen über alle erreichbaren Namensräume oder über den angegebenen Namensraum auf. Der Namensraum-Bezeichner ist eine Inode-Nummer.

Die standardmäßige Ausgabe kann sich ändern. Daher sollten Sie vermeiden, standardmäßige Ausgaben in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie in Umgebungen, wo eine stabile Ausgabe erforderlich ist, stets den gewünschten Ausgabemodus mit --tree oder --list und die erwarteten Spalten, indem Sie die Option --output zusammen mit einer Spaltenliste angeben.

Die Spalte NSFS, die angezeigt wird, wenn net mit der Option --type angegeben wird, ist speziell; sie verwendet mehrzeilige Zellen. Mit der Option --nowrap können Sie zu einer einzeiligen Darstellung mit »,« als Trenner wechseln.

Beachten Sie, dass lsns Informationen direkt aus dem /proc-Dateisystem liest. Daher kann es unvollständige Informationen liefern, wenn der Benutzer nicht root ist. Das aktuelle /proc-Dateisystem könnte abgetrennt und von einem PID-Namensraum betroffen sein (siehe unshare --mount-proc für weitere Details). lsns ist nicht in der Lage, dauerhafte Namensräume ohne Prozesse zu erkennen, bei denen die Namensrauminstanz von einer Bind-Einhängung nach /proc/Prozesskennung/ns/Typ gehalten wird.

OPTIONEN

-H, --list-columns
    listet die verfügbaren Spalten auf. Wenn Sie dies zusammen mit --json oder --raw verwenden, erfolgt die Ausgabe in einem maschinenlesbaren Format.

-J, --json
    verwendet das JSON-Ausgabeformat.

-l, --list
    formatiert die Ausgabe als Liste.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

    Die voreingestellte Liste der Spalten kann erweitert werden, indem Sie die Liste im Format +Liste angeben (beispielsweise lsns -o +PATH).

--output-all
    gibt alle verfügbaren Spalten aus.

-P, --persistent
    zeigt nur die Namensräume ohne Prozesse an (also beständige Namensräume), indem eine Bind-Einhängung von /proc/pid/ns/type-Dateien in einen Dateisystempfad vorgenommen wird.

-p, --task PID
    zeigt nur die Namensräume des Prozesses mit dieser Prozesskennung an.

-Q, --filter Ausdruck
    Print only the namespaces that meet the conditions specified by the expr.

    This feature is EXPERIMENTAL. See also scols-filter(5). For example exclude root as username, but print every namespaces more than one process belongs to:

        lsns --filter 'USER != "root" and NPROCS > 1'

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-t, --type Typ
    zeigt nur den angegebenen Namensraum-Typ an. Die Typen mnt, net, ipc, user, pid, uts, cgroup und time werden unterstützt. Diese Option kann mehrfach angegeben werden.

-u, --notruncate
    kürzt den Text in Spalten nicht.

-W, --nowrap
    gibt in den Spalten den Text nicht mehrzeilig aus.

-T, --tree[=rel]
    verwendet ein baumartiges Ausgabeformat. Falls process als Bezug angegeben ist, wird der Prozessbaum (oder werden die Prozessbäume) in jedem Namensraum angezeigt. Dies ist die Vorgabe, wenn --tree nicht angegeben ist. Falls parent angegeben ist, wird der Prozessbaum (oder werden die Prozessbäume) durch die Eltern-Kind-Beziehung erstellt. Falls owner angegeben ist, wird der Prozessbaum (oder werden die Prozessbäume) durch die Eigentümer-Eigentümerschaft-Beziehung erstellt. Wenn kein Bezug angegeben ist, dann ist owner die Vorgabe.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    Display version and exit.

EXIT-STATUS

Das Dienstprogramm lsns gibt die folgenden Rückgabewerte aus:

0
    Erfolg.

1
    Allgemeiner Fehler.

2
    Ein Ioctl war dem Kernel nicht bekannt.

UMGEBUNGSVARIABLEN

LSNS_DEBUG=all
    enables lsns debug output.

AUTOREN

SIEHE AUCH

nsenter(1), unshare(1), clone(2), namespaces(7), ioctl_ns(2), ip-netns(8) scols-filter(5)

FEHLER MELDEN

For bug reports, use the

VERFÜGBARKEIT

Der Befehl lsns ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.